package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class konten extends Activity implements B4AActivity{
	public static konten mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.konten");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (konten).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.konten");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.konten", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (konten) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (konten) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return konten.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (konten) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            konten mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (konten) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }



public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public anywheresoftware.b4a.keywords.Common __c = null;
public de.donmanfred.IconButtonWrapper _button_plus = null;
public de.donmanfred.IconButtonWrapper _kontenicon = null;
public anywheresoftware.b4a.sql.SQL.CursorWrapper _cursor = null;
public anywheresoftware.b4a.sql.SQL.CursorWrapper _cursor_1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _verschiedene_konten = null;
public anywheresoftware.b4a.objects.ButtonWrapper _verschiedene_konten_werte = null;
public anywheresoftware.b4a.objects.ButtonWrapper _transparenter_button = null;
public static int _i = 0;
public anywheresoftware.b4a.objects.drawable.CanvasWrapper _canvas1 = null;
public static double _kontowert_angezeigter_monat_wert = 0;
public anywheresoftware.b4a.objects.LabelWrapper _label_gesamtsumme = null;
public de.donmanfred.IconButtonWrapper _iconbuttonaufklappen_summenzeitraum = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel_auswahl = null;
public static boolean _iconbuttonaufklappen_summenzeitraum_aktiv = false;
public static boolean _button_monat_summenzeitraum_aktiv = false;
public static boolean _button_woche_summenzeitraum_aktiv = false;
public static boolean _button_tag_summenzeitraum_aktiv = false;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scrollview_konten = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button_links = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button_rechts = null;
public anywheresoftware.b4a.objects.LabelWrapper _label_zeitraum = null;
public static double _gesamtsumme = 0;
public static double _gesamtsumme_1 = 0;
public static long _jetzt_zeit = 0L;
public static long _start_monat_ticks = 0L;
public static long _ende_monat_ticks = 0L;
public static long _ende_datum_vormonat_ticks = 0L;
public static String _heutezeile_monat = "";
public static String _heutetag_monat = "";
public static String _start_monat_date = "";
public static String _ende_monat_date = "";
public static String _ende_datum_vormonat = "";
public static String _heutezeile_tagmonatjahr = "";
public static String _uebertrag_vormonat = "";
public static String _ausgabe_tabelle = "";
public static String _kontowert_angezeigter_monat = "";
public static String _einnahmen_wert = "";
public static String _ausgaben_wert = "";
public static String _oberstes_datum = "";
public static String _unterstes_datum = "";
public static String _ausgabe_konto_name = "";
public static String _waehrung_ausgabe = "";
public static String _gesamtsumme_text = "";
public static long _unterstes_datum_ticks = 0L;
public static long _ausgabe_datum_ticks = 0L;
public b4a.example.dateutils _dateutils = null;
public b4a.example.main _main = null;
public b4a.example.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime}));}
anywheresoftware.b4a.objects.drawable.BitmapDrawable _button_plus_icon = null;
RDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="Activity.LoadLayout(\"Konten\")";
mostCurrent._activity.LoadLayout("Konten",mostCurrent.activityBA);
RDebugUtils.currentLine=851973;
 //BA.debugLineNum = 851973;BA.debugLine="Dim Button_Plus_Icon As BitmapDrawable";
_button_plus_icon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
RDebugUtils.currentLine=851974;
 //BA.debugLineNum = 851974;BA.debugLine="Button_Plus_Icon.Initialize(LoadBitmap(File.DirRo";
_button_plus_icon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"/Mein Haushaltsbuch/Plus.png").getObject()));
RDebugUtils.currentLine=851975;
 //BA.debugLineNum = 851975;BA.debugLine="Button_Plus.setIcon(True,Button_Plus_Icon)";
mostCurrent._button_plus.setIcon(anywheresoftware.b4a.keywords.Common.True,(android.graphics.drawable.Drawable)(_button_plus_icon.getObject()));
RDebugUtils.currentLine=851978;
 //BA.debugLineNum = 851978;BA.debugLine="Dim Button_Plus_Icon As BitmapDrawable";
_button_plus_icon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
RDebugUtils.currentLine=851979;
 //BA.debugLineNum = 851979;BA.debugLine="Button_Plus_Icon.Initialize(LoadBitmap(File.DirRo";
_button_plus_icon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"/Mein Haushaltsbuch/Aufklappen.png").getObject()));
RDebugUtils.currentLine=851980;
 //BA.debugLineNum = 851980;BA.debugLine="IconButtonAufklappen_Summenzeitraum.setIcon(True,";
mostCurrent._iconbuttonaufklappen_summenzeitraum.setIcon(anywheresoftware.b4a.keywords.Common.True,(android.graphics.drawable.Drawable)(_button_plus_icon.getObject()));
RDebugUtils.currentLine=851983;
 //BA.debugLineNum = 851983;BA.debugLine="Konten_aus_DB_lesen";
_konten_aus_db_lesen();
RDebugUtils.currentLine=851984;
 //BA.debugLineNum = 851984;BA.debugLine="End Sub";
return "";
}
public static String  _konten_aus_db_lesen() throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "konten_aus_db_lesen", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "konten_aus_db_lesen", null));}
anywheresoftware.b4a.objects.drawable.BitmapDrawable _button_symbol_icon = null;
anywheresoftware.b4a.objects.drawable.ColorDrawable _c = null;
RDebugUtils.currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Sub Konten_aus_DB_lesen";
RDebugUtils.currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="Main.SQL_DB.Initialize(File.DirRootExternal,\"/Mei";
mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .Initialize(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"/Mein Haushaltsbuch/Daten_Mein_Haushaltsbuch.db",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1114116;
 //BA.debugLineNum = 1114116;BA.debugLine="Gesamtsumme = Main.SQL_DB.ExecQuerySingleResult(\"";
_gesamtsumme = (double)(Double.parseDouble(mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .ExecQuerySingleResult("Select total(Guthaben) from Konten")));
RDebugUtils.currentLine=1114117;
 //BA.debugLineNum = 1114117;BA.debugLine="Waehrung_Ausgabe = Main.SQL_DB.ExecQuerySingleRes";
mostCurrent._waehrung_ausgabe = mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .ExecQuerySingleResult("SELECT Text_Waehrung_Abkuerzung FROM Konten");
RDebugUtils.currentLine=1114120;
 //BA.debugLineNum = 1114120;BA.debugLine="Cursor = Main.SQL_DB.ExecQuery(\"SELECT Konto_Name";
mostCurrent._cursor.setObject((android.database.Cursor)(mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("SELECT Konto_Name, Guthaben, Text_Waehrung_Abkuerzung, Speicherpfad_Icon_45x30 FROM Konten")));
RDebugUtils.currentLine=1114123;
 //BA.debugLineNum = 1114123;BA.debugLine="Label_Gesamtsumme.Text = NumberFormat2(Gesamtsumm";
mostCurrent._label_gesamtsumme.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.NumberFormat2(_gesamtsumme,(int) (1),(int) (2),(int) (2),anywheresoftware.b4a.keywords.Common.False)+" EUR"));
RDebugUtils.currentLine=1114125;
 //BA.debugLineNum = 1114125;BA.debugLine="ScrollView_Konten.Panel.Width = 770dip";
mostCurrent._scrollview_konten.getPanel().setWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (770)));
RDebugUtils.currentLine=1114126;
 //BA.debugLineNum = 1114126;BA.debugLine="ScrollView_Konten.Panel.Height = 3dip+((Cursor.Po";
mostCurrent._scrollview_konten.getPanel().setHeight((int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3))+((mostCurrent._cursor.getPosition()+2)*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (55)))));
RDebugUtils.currentLine=1114128;
 //BA.debugLineNum = 1114128;BA.debugLine="If ScrollView_Konten.Panel.Height < 1000dip Then";
if (mostCurrent._scrollview_konten.getPanel().getHeight()<anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1000))) { 
RDebugUtils.currentLine=1114129;
 //BA.debugLineNum = 1114129;BA.debugLine="ScrollView_Konten.Panel.Height = 1000dip";
mostCurrent._scrollview_konten.getPanel().setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1000)));
 };
RDebugUtils.currentLine=1114132;
 //BA.debugLineNum = 1114132;BA.debugLine="For i=1 To Cursor.RowCount";
{
final int step11 = 1;
final int limit11 = mostCurrent._cursor.getRowCount();
_i = (int) (1) ;
for (;_i <= limit11 ;_i = _i + step11 ) {
RDebugUtils.currentLine=1114133;
 //BA.debugLineNum = 1114133;BA.debugLine="Cursor.Position = i-1";
mostCurrent._cursor.setPosition((int) (_i-1));
RDebugUtils.currentLine=1114138;
 //BA.debugLineNum = 1114138;BA.debugLine="KontenIcon.Initialize(\"KontenIcon\")";
mostCurrent._kontenicon.Initialize(processBA,"KontenIcon");
RDebugUtils.currentLine=1114140;
 //BA.debugLineNum = 1114140;BA.debugLine="Dim Button_Symbol_Icon As BitmapDrawable";
_button_symbol_icon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
RDebugUtils.currentLine=1114141;
 //BA.debugLineNum = 1114141;BA.debugLine="Button_Symbol_Icon.Initialize(LoadBitmap(File.Di";
_button_symbol_icon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),mostCurrent._cursor.GetString("Speicherpfad_Icon_45x30")).getObject()));
RDebugUtils.currentLine=1114144;
 //BA.debugLineNum = 1114144;BA.debugLine="KontenIcon.IconPadding = 0	'350   'geändert";
mostCurrent._kontenicon.setIconPadding((int) (0));
RDebugUtils.currentLine=1114145;
 //BA.debugLineNum = 1114145;BA.debugLine="KontenIcon.setIcon(True,Button_Symbol_Icon)";
mostCurrent._kontenicon.setIcon(anywheresoftware.b4a.keywords.Common.True,(android.graphics.drawable.Drawable)(_button_symbol_icon.getObject()));
RDebugUtils.currentLine=1114154;
 //BA.debugLineNum = 1114154;BA.debugLine="KontenIcon.TextColor = Colors.Black";
mostCurrent._kontenicon.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=1114155;
 //BA.debugLineNum = 1114155;BA.debugLine="ScrollView_Konten.Panel.AddView(KontenIcon, 15di";
mostCurrent._scrollview_konten.getPanel().AddView((android.view.View)(mostCurrent._kontenicon.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (15)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (22))+(mostCurrent._cursor.getPosition()*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (45)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30)));
RDebugUtils.currentLine=1114169;
 //BA.debugLineNum = 1114169;BA.debugLine="Verschiedene_Konten.Initialize(\"Verschiedene_Kon";
mostCurrent._verschiedene_konten.Initialize(mostCurrent.activityBA,"Verschiedene_Konten");
RDebugUtils.currentLine=1114170;
 //BA.debugLineNum = 1114170;BA.debugLine="Dim c As ColorDrawable";
_c = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=1114171;
 //BA.debugLineNum = 1114171;BA.debugLine="c.Initialize2(Colors.White,5dip,3dip,Colors.Whit";
_c.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)),anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=1114172;
 //BA.debugLineNum = 1114172;BA.debugLine="Verschiedene_Konten.Background = c";
mostCurrent._verschiedene_konten.setBackground((android.graphics.drawable.Drawable)(_c.getObject()));
RDebugUtils.currentLine=1114174;
 //BA.debugLineNum = 1114174;BA.debugLine="Verschiedene_Konten.Text = Cursor.GetString(\"Kon";
mostCurrent._verschiedene_konten.setText(BA.ObjectToCharSequence(mostCurrent._cursor.GetString("Konto_Name")));
RDebugUtils.currentLine=1114175;
 //BA.debugLineNum = 1114175;BA.debugLine="Verschiedene_Konten.Tag = i";
mostCurrent._verschiedene_konten.setTag((Object)(_i));
RDebugUtils.currentLine=1114176;
 //BA.debugLineNum = 1114176;BA.debugLine="Verschiedene_Konten.TextColor = Colors.Black";
mostCurrent._verschiedene_konten.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=1114177;
 //BA.debugLineNum = 1114177;BA.debugLine="Verschiedene_Konten.TextSize =20";
mostCurrent._verschiedene_konten.setTextSize((float) (20));
RDebugUtils.currentLine=1114178;
 //BA.debugLineNum = 1114178;BA.debugLine="Verschiedene_Konten.Gravity = Bit.Or(Gravity.LEF";
mostCurrent._verschiedene_konten.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER));
RDebugUtils.currentLine=1114180;
 //BA.debugLineNum = 1114180;BA.debugLine="ScrollView_Konten.Panel.AddView(Verschiedene_Kon";
mostCurrent._scrollview_konten.getPanel().AddView((android.view.View)(mostCurrent._verschiedene_konten.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (100)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (7))+(mostCurrent._cursor.getPosition()*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (660)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (55)));
RDebugUtils.currentLine=1114183;
 //BA.debugLineNum = 1114183;BA.debugLine="Verschiedene_Konten_Werte.Initialize(\"Verschiede";
mostCurrent._verschiedene_konten_werte.Initialize(mostCurrent.activityBA,"Verschiedene_Konten_Werte");
RDebugUtils.currentLine=1114184;
 //BA.debugLineNum = 1114184;BA.debugLine="Dim c As ColorDrawable";
_c = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=1114185;
 //BA.debugLineNum = 1114185;BA.debugLine="c.Initialize2(Colors.White,5dip,3dip,Colors.Whit";
_c.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)),anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=1114186;
 //BA.debugLineNum = 1114186;BA.debugLine="Verschiedene_Konten_Werte.Background = c";
mostCurrent._verschiedene_konten_werte.setBackground((android.graphics.drawable.Drawable)(_c.getObject()));
RDebugUtils.currentLine=1114188;
 //BA.debugLineNum = 1114188;BA.debugLine="Verschiedene_Konten_Werte.Text = NumberFormat2(C";
mostCurrent._verschiedene_konten_werte.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.NumberFormat2((double)(Double.parseDouble(mostCurrent._cursor.GetString("Guthaben"))),(int) (1),(int) (2),(int) (2),anywheresoftware.b4a.keywords.Common.False)+" "+mostCurrent._cursor.GetString("Text_Waehrung_Abkuerzung")));
RDebugUtils.currentLine=1114189;
 //BA.debugLineNum = 1114189;BA.debugLine="Verschiedene_Konten_Werte.Tag = i";
mostCurrent._verschiedene_konten_werte.setTag((Object)(_i));
RDebugUtils.currentLine=1114190;
 //BA.debugLineNum = 1114190;BA.debugLine="Verschiedene_Konten_Werte.Color = Colors.Transpa";
mostCurrent._verschiedene_konten_werte.setColor(anywheresoftware.b4a.keywords.Common.Colors.Transparent);
RDebugUtils.currentLine=1114191;
 //BA.debugLineNum = 1114191;BA.debugLine="Verschiedene_Konten_Werte.TextColor = Colors.Bla";
mostCurrent._verschiedene_konten_werte.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=1114192;
 //BA.debugLineNum = 1114192;BA.debugLine="Verschiedene_Konten_Werte.Typeface = Typeface.DE";
mostCurrent._verschiedene_konten_werte.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
RDebugUtils.currentLine=1114193;
 //BA.debugLineNum = 1114193;BA.debugLine="Verschiedene_Konten_Werte.TextSize =20";
mostCurrent._verschiedene_konten_werte.setTextSize((float) (20));
RDebugUtils.currentLine=1114194;
 //BA.debugLineNum = 1114194;BA.debugLine="Verschiedene_Konten_Werte.Gravity = Bit.Or(Gravi";
mostCurrent._verschiedene_konten_werte.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.RIGHT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER));
RDebugUtils.currentLine=1114196;
 //BA.debugLineNum = 1114196;BA.debugLine="ScrollView_Konten.Panel.AddView(Verschiedene_Kon";
mostCurrent._scrollview_konten.getPanel().AddView((android.view.View)(mostCurrent._verschiedene_konten_werte.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (100)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (7))+(mostCurrent._cursor.getPosition()*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (660)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (55)));
RDebugUtils.currentLine=1114199;
 //BA.debugLineNum = 1114199;BA.debugLine="Transparenter_Button.Initialize(\"Transparenter_B";
mostCurrent._transparenter_button.Initialize(mostCurrent.activityBA,"Transparenter_Button");
RDebugUtils.currentLine=1114200;
 //BA.debugLineNum = 1114200;BA.debugLine="c.Initialize2(Colors.Transparent,5dip,3dip,Color";
_c.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.Transparent,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)),anywheresoftware.b4a.keywords.Common.Colors.Transparent);
RDebugUtils.currentLine=1114201;
 //BA.debugLineNum = 1114201;BA.debugLine="Transparenter_Button.Background = c";
mostCurrent._transparenter_button.setBackground((android.graphics.drawable.Drawable)(_c.getObject()));
RDebugUtils.currentLine=1114203;
 //BA.debugLineNum = 1114203;BA.debugLine="Transparenter_Button.Text = \"\"";
mostCurrent._transparenter_button.setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=1114204;
 //BA.debugLineNum = 1114204;BA.debugLine="Transparenter_Button.Tag = i";
mostCurrent._transparenter_button.setTag((Object)(_i));
RDebugUtils.currentLine=1114205;
 //BA.debugLineNum = 1114205;BA.debugLine="Transparenter_Button.Color = Colors.Transparent";
mostCurrent._transparenter_button.setColor(anywheresoftware.b4a.keywords.Common.Colors.Transparent);
RDebugUtils.currentLine=1114206;
 //BA.debugLineNum = 1114206;BA.debugLine="Transparenter_Button.TextColor = Colors.Black";
mostCurrent._transparenter_button.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=1114207;
 //BA.debugLineNum = 1114207;BA.debugLine="Transparenter_Button.Typeface = Typeface.DEFAULT";
mostCurrent._transparenter_button.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT);
RDebugUtils.currentLine=1114208;
 //BA.debugLineNum = 1114208;BA.debugLine="Transparenter_Button.Gravity = Bit.Or(Gravity.RI";
mostCurrent._transparenter_button.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.RIGHT,anywheresoftware.b4a.keywords.Common.Gravity.BOTTOM));
RDebugUtils.currentLine=1114209;
 //BA.debugLineNum = 1114209;BA.debugLine="Transparenter_Button.TextSize =12";
mostCurrent._transparenter_button.setTextSize((float) (12));
RDebugUtils.currentLine=1114213;
 //BA.debugLineNum = 1114213;BA.debugLine="ScrollView_Konten.Panel.AddView(Transparenter_Bu";
mostCurrent._scrollview_konten.getPanel().AddView((android.view.View)(mostCurrent._transparenter_button.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (7))+(mostCurrent._cursor.getPosition()*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (760)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)));
RDebugUtils.currentLine=1114218;
 //BA.debugLineNum = 1114218;BA.debugLine="Gesamtsumme_1 = Gesamtsumme_1 + Cursor.GetString";
_gesamtsumme_1 = _gesamtsumme_1+(double)(Double.parseDouble(mostCurrent._cursor.GetString("Guthaben")));
RDebugUtils.currentLine=1114219;
 //BA.debugLineNum = 1114219;BA.debugLine="Log(\"Gesamtsumme = \" & Gesamtsumme_1)";
anywheresoftware.b4a.keywords.Common.LogImpl("41114219","Gesamtsumme = "+BA.NumberToString(_gesamtsumme_1),0);
RDebugUtils.currentLine=1114221;
 //BA.debugLineNum = 1114221;BA.debugLine="Canvas1.Initialize(Transparenter_Button)";
mostCurrent._canvas1.Initialize((android.view.View)(mostCurrent._transparenter_button.getObject()));
RDebugUtils.currentLine=1114222;
 //BA.debugLineNum = 1114222;BA.debugLine="Canvas1.DrawLine(10dip, 61dip, 750dip, 61dip, Co";
mostCurrent._canvas1.DrawLine((float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10))),(float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (61))),(float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (750))),(float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (61))),anywheresoftware.b4a.keywords.Common.Colors.Black,(float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (2))));
 }
};
RDebugUtils.currentLine=1114239;
 //BA.debugLineNum = 1114239;BA.debugLine="Main.SQL_DB.Close";
mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .Close();
RDebugUtils.currentLine=1114245;
 //BA.debugLineNum = 1114245;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_keypress", false))
	 {return ((Boolean) Debug.delegate(mostCurrent.activityBA, "activity_keypress", new Object[] {_keycode}));}
RDebugUtils.currentLine=1245184;
 //BA.debugLineNum = 1245184;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
RDebugUtils.currentLine=1245185;
 //BA.debugLineNum = 1245185;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
RDebugUtils.currentLine=1245186;
 //BA.debugLineNum = 1245186;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
RDebugUtils.currentLine=1245187;
 //BA.debugLineNum = 1245187;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(processBA,(Object)(mostCurrent._main.getObject()));
RDebugUtils.currentLine=1245188;
 //BA.debugLineNum = 1245188;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
RDebugUtils.currentLine=1245190;
 //BA.debugLineNum = 1245190;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
RDebugUtils.currentLine=1245191;
 //BA.debugLineNum = 1245191;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="konten";
RDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null));}
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="End Sub";
return "";
}
public static String  _button_links_click() throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "button_links_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "button_links_click", null));}
anywheresoftware.b4a.objects.collections.List _list_konten_namen = null;
RDebugUtils.currentLine=1441792;
 //BA.debugLineNum = 1441792;BA.debugLine="Sub Button_links_Click";
RDebugUtils.currentLine=1441793;
 //BA.debugLineNum = 1441793;BA.debugLine="If IconButtonAufklappen_Summenzeitraum_Aktiv = Tr";
if (_iconbuttonaufklappen_summenzeitraum_aktiv==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=1441794;
 //BA.debugLineNum = 1441794;BA.debugLine="DateTime.DateFormat = \"dd.MM.yyyy\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("dd.MM.yyyy");
RDebugUtils.currentLine=1441796;
 //BA.debugLineNum = 1441796;BA.debugLine="Start_Monat_Ticks = DateTime.Add(DateTime.DatePa";
_start_monat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (-1),(int) (0));
RDebugUtils.currentLine=1441797;
 //BA.debugLineNum = 1441797;BA.debugLine="Start_Monat_Date = DateTime.Date(Start_Monat_Tic";
mostCurrent._start_monat_date = anywheresoftware.b4a.keywords.Common.DateTime.Date(_start_monat_ticks);
RDebugUtils.currentLine=1441800;
 //BA.debugLineNum = 1441800;BA.debugLine="Ende_Monat_Ticks = DateTime.Add(DateTime.DatePar";
_ende_monat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (1),(int) (-1));
RDebugUtils.currentLine=1441801;
 //BA.debugLineNum = 1441801;BA.debugLine="Ende_Monat_Date = DateTime.Date(Ende_Monat_Ticks";
mostCurrent._ende_monat_date = anywheresoftware.b4a.keywords.Common.DateTime.Date(_ende_monat_ticks);
RDebugUtils.currentLine=1441804;
 //BA.debugLineNum = 1441804;BA.debugLine="Ende_Datum_Vormonat_Ticks = DateTime.Add(DateTim";
_ende_datum_vormonat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (0),(int) (-1));
RDebugUtils.currentLine=1441805;
 //BA.debugLineNum = 1441805;BA.debugLine="Ende_Datum_Vormonat = DateTime.Date(Ende_Datum_V";
mostCurrent._ende_datum_vormonat = anywheresoftware.b4a.keywords.Common.DateTime.Date(_ende_datum_vormonat_ticks);
RDebugUtils.currentLine=1441807;
 //BA.debugLineNum = 1441807;BA.debugLine="If Oberstes_Datum <> Ende_Monat_Date Then";
if ((mostCurrent._oberstes_datum).equals(mostCurrent._ende_monat_date) == false) { 
RDebugUtils.currentLine=1441808;
 //BA.debugLineNum = 1441808;BA.debugLine="Button_rechts.Visible = True		'Button_Rechts ni";
mostCurrent._button_rechts.setVisible(anywheresoftware.b4a.keywords.Common.True);
 };
RDebugUtils.currentLine=1441811;
 //BA.debugLineNum = 1441811;BA.debugLine="Dim List_Konten_Namen As List";
_list_konten_namen = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=1441812;
 //BA.debugLineNum = 1441812;BA.debugLine="List_Konten_Namen.Initialize";
_list_konten_namen.Initialize();
RDebugUtils.currentLine=1441815;
 //BA.debugLineNum = 1441815;BA.debugLine="Main.SQL_DB.Initialize(File.DirRootExternal,\"/Me";
mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .Initialize(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"/Mein Haushaltsbuch/Daten_Mein_Haushaltsbuch.db",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1441818;
 //BA.debugLineNum = 1441818;BA.debugLine="Cursor = Main.SQL_DB.ExecQuery(\"SELECT Tabellen_";
mostCurrent._cursor.setObject((android.database.Cursor)(mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("SELECT Tabellen_Name FROM Konten")));
RDebugUtils.currentLine=1441819;
 //BA.debugLineNum = 1441819;BA.debugLine="For i=1 To Cursor.RowCount";
{
final int step16 = 1;
final int limit16 = mostCurrent._cursor.getRowCount();
_i = (int) (1) ;
for (;_i <= limit16 ;_i = _i + step16 ) {
RDebugUtils.currentLine=1441820;
 //BA.debugLineNum = 1441820;BA.debugLine="Cursor.Position = i-1";
mostCurrent._cursor.setPosition((int) (_i-1));
RDebugUtils.currentLine=1441821;
 //BA.debugLineNum = 1441821;BA.debugLine="List_Konten_Namen.Add(Cursor.GetString(\"Tabelle";
_list_konten_namen.Add((Object)(mostCurrent._cursor.GetString("Tabellen_Name")));
 }
};
RDebugUtils.currentLine=1441825;
 //BA.debugLineNum = 1441825;BA.debugLine="List_Konten_Namen.Sort(True)";
_list_konten_namen.Sort(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1441827;
 //BA.debugLineNum = 1441827;BA.debugLine="Unterstes_Datum_Ticks = 0";
_unterstes_datum_ticks = (long) (0);
RDebugUtils.currentLine=1441828;
 //BA.debugLineNum = 1441828;BA.debugLine="For i=1 To List_Konten_Namen.Size";
{
final int step22 = 1;
final int limit22 = _list_konten_namen.getSize();
_i = (int) (1) ;
for (;_i <= limit22 ;_i = _i + step22 ) {
RDebugUtils.currentLine=1441829;
 //BA.debugLineNum = 1441829;BA.debugLine="Ausgabe_Konto_Name = List_Konten_Namen.Get(i-1)";
mostCurrent._ausgabe_konto_name = BA.ObjectToString(_list_konten_namen.Get((int) (_i-1)));
RDebugUtils.currentLine=1441830;
 //BA.debugLineNum = 1441830;BA.debugLine="Ausgabe_Datum_Ticks = Main.SQL_DB.ExecQuerySing";
_ausgabe_datum_ticks = (long)(Double.parseDouble(mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .ExecQuerySingleResult("SELECT Min(Datum) as Datum FROM "+mostCurrent._ausgabe_konto_name)));
RDebugUtils.currentLine=1441831;
 //BA.debugLineNum = 1441831;BA.debugLine="If Unterstes_Datum_Ticks = 0 Then";
if (_unterstes_datum_ticks==0) { 
RDebugUtils.currentLine=1441832;
 //BA.debugLineNum = 1441832;BA.debugLine="Unterstes_Datum_Ticks = Ausgabe_Datum_Ticks";
_unterstes_datum_ticks = _ausgabe_datum_ticks;
 }else {
RDebugUtils.currentLine=1441834;
 //BA.debugLineNum = 1441834;BA.debugLine="If Ausgabe_Datum_Ticks < Unterstes_Datum_Ticks";
if (_ausgabe_datum_ticks<_unterstes_datum_ticks) { 
RDebugUtils.currentLine=1441835;
 //BA.debugLineNum = 1441835;BA.debugLine="Unterstes_Datum_Ticks = Ausgabe_Datum_Ticks";
_unterstes_datum_ticks = _ausgabe_datum_ticks;
 };
 };
 }
};
RDebugUtils.currentLine=1441840;
 //BA.debugLineNum = 1441840;BA.debugLine="Main.SQL_DB.Close";
mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .Close();
RDebugUtils.currentLine=1441842;
 //BA.debugLineNum = 1441842;BA.debugLine="Unterstes_Datum = DateTime.Date(Unterstes_Datum_";
mostCurrent._unterstes_datum = anywheresoftware.b4a.keywords.Common.DateTime.Date(_unterstes_datum_ticks);
RDebugUtils.currentLine=1441843;
 //BA.debugLineNum = 1441843;BA.debugLine="Unterstes_Datum_Ticks = DateTime.Add(DateTime.Da";
_unterstes_datum_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._unterstes_datum),(int) (0),(int) (0),(int) (1));
RDebugUtils.currentLine=1441844;
 //BA.debugLineNum = 1441844;BA.debugLine="Unterstes_Datum = DateTime.Date(Unterstes_Datum_";
mostCurrent._unterstes_datum = anywheresoftware.b4a.keywords.Common.DateTime.Date(_unterstes_datum_ticks);
RDebugUtils.currentLine=1441846;
 //BA.debugLineNum = 1441846;BA.debugLine="If Unterstes_Datum = Start_Monat_Date Then";
if ((mostCurrent._unterstes_datum).equals(mostCurrent._start_monat_date)) { 
RDebugUtils.currentLine=1441847;
 //BA.debugLineNum = 1441847;BA.debugLine="Button_links.Visible = False		'Button_Links nim";
mostCurrent._button_links.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
RDebugUtils.currentLine=1441850;
 //BA.debugLineNum = 1441850;BA.debugLine="Label_Zeitraum.Text = Start_Monat_Date & \" - \" &";
mostCurrent._label_zeitraum.setText(BA.ObjectToCharSequence(mostCurrent._start_monat_date+" - "+mostCurrent._ende_monat_date));
RDebugUtils.currentLine=1441852;
 //BA.debugLineNum = 1441852;BA.debugLine="Monatsdaten_aus_DB_auslesen";
_monatsdaten_aus_db_auslesen();
 };
RDebugUtils.currentLine=1441855;
 //BA.debugLineNum = 1441855;BA.debugLine="End Sub";
return "";
}
public static String  _monatsdaten_aus_db_auslesen() throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "monatsdaten_aus_db_auslesen", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "monatsdaten_aus_db_auslesen", null));}
anywheresoftware.b4a.objects.drawable.BitmapDrawable _button_symbol_icon = null;
anywheresoftware.b4a.objects.drawable.ColorDrawable _c = null;
int _k = 0;
RDebugUtils.currentLine=1507328;
 //BA.debugLineNum = 1507328;BA.debugLine="Sub Monatsdaten_aus_DB_auslesen";
RDebugUtils.currentLine=1507329;
 //BA.debugLineNum = 1507329;BA.debugLine="Gesamtsumme = 0.0";
_gesamtsumme = 0.0;
RDebugUtils.currentLine=1507331;
 //BA.debugLineNum = 1507331;BA.debugLine="Label_Zeitraum.Text = Start_Monat_Date & \" - \" &";
mostCurrent._label_zeitraum.setText(BA.ObjectToCharSequence(mostCurrent._start_monat_date+" - "+mostCurrent._ende_monat_date));
RDebugUtils.currentLine=1507334;
 //BA.debugLineNum = 1507334;BA.debugLine="Main.SQL_DB.Initialize(File.DirRootExternal,\"/Mei";
mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .Initialize(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"/Mein Haushaltsbuch/Daten_Mein_Haushaltsbuch.db",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1507337;
 //BA.debugLineNum = 1507337;BA.debugLine="Cursor = Main.SQL_DB.ExecQuery(\"SELECT Konto_Name";
mostCurrent._cursor.setObject((android.database.Cursor)(mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("SELECT Konto_Name, Guthaben, Text_Waehrung_Abkuerzung, Speicherpfad_Icon_45x30, Tabellen_Name FROM Konten")));
RDebugUtils.currentLine=1507338;
 //BA.debugLineNum = 1507338;BA.debugLine="For i=1 To Cursor.RowCount";
{
final int step5 = 1;
final int limit5 = mostCurrent._cursor.getRowCount();
_i = (int) (1) ;
for (;_i <= limit5 ;_i = _i + step5 ) {
RDebugUtils.currentLine=1507339;
 //BA.debugLineNum = 1507339;BA.debugLine="Cursor.Position = i-1";
mostCurrent._cursor.setPosition((int) (_i-1));
RDebugUtils.currentLine=1507341;
 //BA.debugLineNum = 1507341;BA.debugLine="ScrollView_Konten.Panel.Width = 770dip";
mostCurrent._scrollview_konten.getPanel().setWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (770)));
RDebugUtils.currentLine=1507342;
 //BA.debugLineNum = 1507342;BA.debugLine="ScrollView_Konten.Panel.Height = 3dip+((Cursor.P";
mostCurrent._scrollview_konten.getPanel().setHeight((int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3))+((mostCurrent._cursor.getPosition()+2)*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (55)))));
RDebugUtils.currentLine=1507344;
 //BA.debugLineNum = 1507344;BA.debugLine="If ScrollView_Konten.Panel.Height < 1000dip Then";
if (mostCurrent._scrollview_konten.getPanel().getHeight()<anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1000))) { 
RDebugUtils.currentLine=1507345;
 //BA.debugLineNum = 1507345;BA.debugLine="ScrollView_Konten.Panel.Height = 1000dip";
mostCurrent._scrollview_konten.getPanel().setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1000)));
 };
RDebugUtils.currentLine=1507349;
 //BA.debugLineNum = 1507349;BA.debugLine="KontenIcon.Initialize(\"KontenIcon\")";
mostCurrent._kontenicon.Initialize(processBA,"KontenIcon");
RDebugUtils.currentLine=1507351;
 //BA.debugLineNum = 1507351;BA.debugLine="Dim Button_Symbol_Icon As BitmapDrawable";
_button_symbol_icon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
RDebugUtils.currentLine=1507352;
 //BA.debugLineNum = 1507352;BA.debugLine="Button_Symbol_Icon.Initialize(LoadBitmap(File.Di";
_button_symbol_icon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),mostCurrent._cursor.GetString("Speicherpfad_Icon_45x30")).getObject()));
RDebugUtils.currentLine=1507355;
 //BA.debugLineNum = 1507355;BA.debugLine="KontenIcon.IconPadding = 0	'350   'geändert";
mostCurrent._kontenicon.setIconPadding((int) (0));
RDebugUtils.currentLine=1507356;
 //BA.debugLineNum = 1507356;BA.debugLine="KontenIcon.setIcon(True,Button_Symbol_Icon)";
mostCurrent._kontenicon.setIcon(anywheresoftware.b4a.keywords.Common.True,(android.graphics.drawable.Drawable)(_button_symbol_icon.getObject()));
RDebugUtils.currentLine=1507365;
 //BA.debugLineNum = 1507365;BA.debugLine="KontenIcon.TextColor = Colors.Black";
mostCurrent._kontenicon.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=1507366;
 //BA.debugLineNum = 1507366;BA.debugLine="ScrollView_Konten.Panel.AddView(KontenIcon, 15di";
mostCurrent._scrollview_konten.getPanel().AddView((android.view.View)(mostCurrent._kontenicon.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (15)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (22))+(mostCurrent._cursor.getPosition()*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (45)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30)));
RDebugUtils.currentLine=1507370;
 //BA.debugLineNum = 1507370;BA.debugLine="Verschiedene_Konten.Initialize(\"Verschiedene_Kon";
mostCurrent._verschiedene_konten.Initialize(mostCurrent.activityBA,"Verschiedene_Konten");
RDebugUtils.currentLine=1507371;
 //BA.debugLineNum = 1507371;BA.debugLine="Dim c As ColorDrawable";
_c = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=1507372;
 //BA.debugLineNum = 1507372;BA.debugLine="c.Initialize2(Colors.White,5dip,3dip,Colors.Whit";
_c.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)),anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=1507373;
 //BA.debugLineNum = 1507373;BA.debugLine="Verschiedene_Konten.Background = c";
mostCurrent._verschiedene_konten.setBackground((android.graphics.drawable.Drawable)(_c.getObject()));
RDebugUtils.currentLine=1507375;
 //BA.debugLineNum = 1507375;BA.debugLine="Verschiedene_Konten.Text = Cursor.GetString(\"Kon";
mostCurrent._verschiedene_konten.setText(BA.ObjectToCharSequence(mostCurrent._cursor.GetString("Konto_Name")));
RDebugUtils.currentLine=1507376;
 //BA.debugLineNum = 1507376;BA.debugLine="Verschiedene_Konten.Tag = i";
mostCurrent._verschiedene_konten.setTag((Object)(_i));
RDebugUtils.currentLine=1507377;
 //BA.debugLineNum = 1507377;BA.debugLine="Verschiedene_Konten.TextColor = Colors.Black";
mostCurrent._verschiedene_konten.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=1507378;
 //BA.debugLineNum = 1507378;BA.debugLine="Verschiedene_Konten.TextSize =20";
mostCurrent._verschiedene_konten.setTextSize((float) (20));
RDebugUtils.currentLine=1507379;
 //BA.debugLineNum = 1507379;BA.debugLine="Verschiedene_Konten.Gravity = Bit.Or(Gravity.LEF";
mostCurrent._verschiedene_konten.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.LEFT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER));
RDebugUtils.currentLine=1507381;
 //BA.debugLineNum = 1507381;BA.debugLine="ScrollView_Konten.Panel.AddView(Verschiedene_Kon";
mostCurrent._scrollview_konten.getPanel().AddView((android.view.View)(mostCurrent._verschiedene_konten.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (100)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10))+(mostCurrent._cursor.getPosition()*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (660)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (55)));
RDebugUtils.currentLine=1507385;
 //BA.debugLineNum = 1507385;BA.debugLine="Ausgabe_Tabelle = Cursor.GetString(\"Tabellen_Nam";
mostCurrent._ausgabe_tabelle = mostCurrent._cursor.GetString("Tabellen_Name");
RDebugUtils.currentLine=1507386;
 //BA.debugLineNum = 1507386;BA.debugLine="Log(\"Tabellen_Name = \" & Cursor.GetString(\"Tabel";
anywheresoftware.b4a.keywords.Common.LogImpl("41507386","Tabellen_Name = "+mostCurrent._cursor.GetString("Tabellen_Name"),0);
RDebugUtils.currentLine=1507388;
 //BA.debugLineNum = 1507388;BA.debugLine="Uebertrag_Vormonat = Main.SQL_DB.ExecQuerySingle";
mostCurrent._uebertrag_vormonat = mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .ExecQuerySingleResult("SELECT Uebertrag_Wert_Vormonat FROM "+mostCurrent._ausgabe_tabelle.trim()+" where Datum = "+BA.NumberToString(_ende_datum_vormonat_ticks)+"");
RDebugUtils.currentLine=1507389;
 //BA.debugLineNum = 1507389;BA.debugLine="KontoWert_Angezeigter_Monat = Uebertrag_Vormonat";
mostCurrent._kontowert_angezeigter_monat = mostCurrent._uebertrag_vormonat;
RDebugUtils.currentLine=1507390;
 //BA.debugLineNum = 1507390;BA.debugLine="Log(\"Vormonat = \" & Ende_Datum_Vormonat & \" Uebe";
anywheresoftware.b4a.keywords.Common.LogImpl("41507390","Vormonat = "+mostCurrent._ende_datum_vormonat+" Uebertrag_Vormonat = "+mostCurrent._uebertrag_vormonat,0);
RDebugUtils.currentLine=1507394;
 //BA.debugLineNum = 1507394;BA.debugLine="Ausgabe_Tabelle = \"Konto_Einzelwerte_\" & Ausgabe";
mostCurrent._ausgabe_tabelle = "Konto_Einzelwerte_"+mostCurrent._ausgabe_tabelle.substring((int) (16));
RDebugUtils.currentLine=1507396;
 //BA.debugLineNum = 1507396;BA.debugLine="Cursor_1 = Main.SQL_DB.ExecQuery(\"SELECT Datum,";
mostCurrent._cursor_1.setObject((android.database.Cursor)(mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("SELECT Datum, Einnahmen_Wert, Ausgaben_Wert FROM "+mostCurrent._ausgabe_tabelle.trim()+" where Datum >= "+BA.NumberToString(_start_monat_ticks)+" and Datum <= "+BA.NumberToString(_ende_monat_ticks))));
RDebugUtils.currentLine=1507401;
 //BA.debugLineNum = 1507401;BA.debugLine="For k=1 To Cursor_1.RowCount";
{
final int step36 = 1;
final int limit36 = mostCurrent._cursor_1.getRowCount();
_k = (int) (1) ;
for (;_k <= limit36 ;_k = _k + step36 ) {
RDebugUtils.currentLine=1507402;
 //BA.debugLineNum = 1507402;BA.debugLine="Cursor_1.Position = k-1";
mostCurrent._cursor_1.setPosition((int) (_k-1));
RDebugUtils.currentLine=1507404;
 //BA.debugLineNum = 1507404;BA.debugLine="KontoWert_Angezeigter_Monat = KontoWert_Angezei";
mostCurrent._kontowert_angezeigter_monat = BA.NumberToString((double)(Double.parseDouble(mostCurrent._kontowert_angezeigter_monat))+(double)(Double.parseDouble(mostCurrent._cursor_1.GetString("Einnahmen_Wert")))-(double)(Double.parseDouble(mostCurrent._cursor_1.GetString("Ausgaben_Wert"))));
RDebugUtils.currentLine=1507405;
 //BA.debugLineNum = 1507405;BA.debugLine="Log(\"Einnahmenwert = \" & Cursor_1.GetString(\"Ei";
anywheresoftware.b4a.keywords.Common.LogImpl("41507405","Einnahmenwert = "+mostCurrent._cursor_1.GetString("Einnahmen_Wert")+" Ausgaben_Wert = "+mostCurrent._cursor_1.GetString("Ausgaben_Wert"),0);
 }
};
RDebugUtils.currentLine=1507409;
 //BA.debugLineNum = 1507409;BA.debugLine="KontoWert_Angezeigter_Monat_Wert = KontoWert_Ang";
_kontowert_angezeigter_monat_wert = (double)(Double.parseDouble(mostCurrent._kontowert_angezeigter_monat));
RDebugUtils.currentLine=1507410;
 //BA.debugLineNum = 1507410;BA.debugLine="KontoWert_Angezeigter_Monat = NumberFormat2(Kont";
mostCurrent._kontowert_angezeigter_monat = anywheresoftware.b4a.keywords.Common.NumberFormat2(_kontowert_angezeigter_monat_wert,(int) (1),(int) (2),(int) (2),anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1507413;
 //BA.debugLineNum = 1507413;BA.debugLine="Verschiedene_Konten_Werte.Initialize(\"Verschiede";
mostCurrent._verschiedene_konten_werte.Initialize(mostCurrent.activityBA,"Verschiedene_Konten_Werte");
RDebugUtils.currentLine=1507414;
 //BA.debugLineNum = 1507414;BA.debugLine="Dim c As ColorDrawable";
_c = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=1507415;
 //BA.debugLineNum = 1507415;BA.debugLine="c.Initialize2(Colors.White,5dip,3dip,Colors.Whit";
_c.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)),anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=1507416;
 //BA.debugLineNum = 1507416;BA.debugLine="Verschiedene_Konten_Werte.Background = c";
mostCurrent._verschiedene_konten_werte.setBackground((android.graphics.drawable.Drawable)(_c.getObject()));
RDebugUtils.currentLine=1507418;
 //BA.debugLineNum = 1507418;BA.debugLine="Verschiedene_Konten_Werte.Text = KontoWert_Angez";
mostCurrent._verschiedene_konten_werte.setText(BA.ObjectToCharSequence(mostCurrent._kontowert_angezeigter_monat+" "+mostCurrent._cursor.GetString("Text_Waehrung_Abkuerzung")));
RDebugUtils.currentLine=1507419;
 //BA.debugLineNum = 1507419;BA.debugLine="Verschiedene_Konten_Werte.Tag = i";
mostCurrent._verschiedene_konten_werte.setTag((Object)(_i));
RDebugUtils.currentLine=1507420;
 //BA.debugLineNum = 1507420;BA.debugLine="Verschiedene_Konten_Werte.Color = Colors.Transpa";
mostCurrent._verschiedene_konten_werte.setColor(anywheresoftware.b4a.keywords.Common.Colors.Transparent);
RDebugUtils.currentLine=1507421;
 //BA.debugLineNum = 1507421;BA.debugLine="Verschiedene_Konten_Werte.TextColor = Colors.Bla";
mostCurrent._verschiedene_konten_werte.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=1507422;
 //BA.debugLineNum = 1507422;BA.debugLine="Verschiedene_Konten_Werte.Typeface = Typeface.DE";
mostCurrent._verschiedene_konten_werte.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
RDebugUtils.currentLine=1507423;
 //BA.debugLineNum = 1507423;BA.debugLine="Verschiedene_Konten_Werte.TextSize =20";
mostCurrent._verschiedene_konten_werte.setTextSize((float) (20));
RDebugUtils.currentLine=1507424;
 //BA.debugLineNum = 1507424;BA.debugLine="Verschiedene_Konten_Werte.Gravity = Bit.Or(Gravi";
mostCurrent._verschiedene_konten_werte.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.RIGHT,anywheresoftware.b4a.keywords.Common.Gravity.CENTER));
RDebugUtils.currentLine=1507426;
 //BA.debugLineNum = 1507426;BA.debugLine="ScrollView_Konten.Panel.AddView(Verschiedene_Kon";
mostCurrent._scrollview_konten.getPanel().AddView((android.view.View)(mostCurrent._verschiedene_konten_werte.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (100)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10))+(mostCurrent._cursor.getPosition()*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (660)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (55)));
RDebugUtils.currentLine=1507429;
 //BA.debugLineNum = 1507429;BA.debugLine="Transparenter_Button.Initialize(\"Transparenter_B";
mostCurrent._transparenter_button.Initialize(mostCurrent.activityBA,"Transparenter_Button");
RDebugUtils.currentLine=1507430;
 //BA.debugLineNum = 1507430;BA.debugLine="c.Initialize2(Colors.Transparent,5dip,3dip,Color";
_c.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.Transparent,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)),anywheresoftware.b4a.keywords.Common.Colors.Transparent);
RDebugUtils.currentLine=1507431;
 //BA.debugLineNum = 1507431;BA.debugLine="Transparenter_Button.Background = c";
mostCurrent._transparenter_button.setBackground((android.graphics.drawable.Drawable)(_c.getObject()));
RDebugUtils.currentLine=1507433;
 //BA.debugLineNum = 1507433;BA.debugLine="Transparenter_Button.Text = \"\"";
mostCurrent._transparenter_button.setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=1507434;
 //BA.debugLineNum = 1507434;BA.debugLine="Transparenter_Button.Tag = i";
mostCurrent._transparenter_button.setTag((Object)(_i));
RDebugUtils.currentLine=1507435;
 //BA.debugLineNum = 1507435;BA.debugLine="Transparenter_Button.Color = Colors.Transparent";
mostCurrent._transparenter_button.setColor(anywheresoftware.b4a.keywords.Common.Colors.Transparent);
RDebugUtils.currentLine=1507436;
 //BA.debugLineNum = 1507436;BA.debugLine="Transparenter_Button.TextColor = Colors.Black";
mostCurrent._transparenter_button.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=1507437;
 //BA.debugLineNum = 1507437;BA.debugLine="Transparenter_Button.Typeface = Typeface.DEFAULT";
mostCurrent._transparenter_button.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT);
RDebugUtils.currentLine=1507438;
 //BA.debugLineNum = 1507438;BA.debugLine="Transparenter_Button.Gravity = Bit.Or(Gravity.RI";
mostCurrent._transparenter_button.setGravity(anywheresoftware.b4a.keywords.Common.Bit.Or(anywheresoftware.b4a.keywords.Common.Gravity.RIGHT,anywheresoftware.b4a.keywords.Common.Gravity.BOTTOM));
RDebugUtils.currentLine=1507439;
 //BA.debugLineNum = 1507439;BA.debugLine="Transparenter_Button.TextSize =12";
mostCurrent._transparenter_button.setTextSize((float) (12));
RDebugUtils.currentLine=1507443;
 //BA.debugLineNum = 1507443;BA.debugLine="ScrollView_Konten.Panel.AddView(Transparenter_Bu";
mostCurrent._scrollview_konten.getPanel().AddView((android.view.View)(mostCurrent._transparenter_button.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (3)),(int) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (7))+(mostCurrent._cursor.getPosition()*anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (760)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (62)));
RDebugUtils.currentLine=1507451;
 //BA.debugLineNum = 1507451;BA.debugLine="Gesamtsumme = Gesamtsumme + KontoWert_Angezeigte";
_gesamtsumme = _gesamtsumme+(double)(Double.parseDouble(mostCurrent._kontowert_angezeigter_monat));
RDebugUtils.currentLine=1507453;
 //BA.debugLineNum = 1507453;BA.debugLine="Canvas1.Initialize(Transparenter_Button)";
mostCurrent._canvas1.Initialize((android.view.View)(mostCurrent._transparenter_button.getObject()));
RDebugUtils.currentLine=1507454;
 //BA.debugLineNum = 1507454;BA.debugLine="Canvas1.DrawLine(10dip, 61dip, 750dip, 61dip, Co";
mostCurrent._canvas1.DrawLine((float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10))),(float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (61))),(float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (750))),(float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (61))),anywheresoftware.b4a.keywords.Common.Colors.Black,(float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (2))));
 }
};
RDebugUtils.currentLine=1507469;
 //BA.debugLineNum = 1507469;BA.debugLine="Main.SQL_DB.Close";
mostCurrent._main._sql_db /*anywheresoftware.b4a.sql.SQL*/ .Close();
RDebugUtils.currentLine=1507472;
 //BA.debugLineNum = 1507472;BA.debugLine="Label_Gesamtsumme.Text = NumberFormat2(Gesamtsumm";
mostCurrent._label_gesamtsumme.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.NumberFormat2(_gesamtsumme,(int) (1),(int) (2),(int) (2),anywheresoftware.b4a.keywords.Common.False)+" EUR"));
RDebugUtils.currentLine=1507474;
 //BA.debugLineNum = 1507474;BA.debugLine="End Sub";
return "";
}
public static String  _button_plus_click() throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "button_plus_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "button_plus_click", null));}
RDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Sub Button_Plus_Click";
RDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
RDebugUtils.currentLine=1048580;
 //BA.debugLineNum = 1048580;BA.debugLine="End Sub";
return "";
}
public static String  _button_rechts_click() throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "button_rechts_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "button_rechts_click", null));}
RDebugUtils.currentLine=1376256;
 //BA.debugLineNum = 1376256;BA.debugLine="Sub Button_rechts_Click";
RDebugUtils.currentLine=1376257;
 //BA.debugLineNum = 1376257;BA.debugLine="If IconButtonAufklappen_Summenzeitraum_Aktiv = Tr";
if (_iconbuttonaufklappen_summenzeitraum_aktiv==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=1376258;
 //BA.debugLineNum = 1376258;BA.debugLine="DateTime.DateFormat = \"dd.MM.yyyy\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("dd.MM.yyyy");
RDebugUtils.currentLine=1376260;
 //BA.debugLineNum = 1376260;BA.debugLine="Start_Monat_Ticks = DateTime.Add(DateTime.DatePa";
_start_monat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._ende_monat_date),(int) (0),(int) (0),(int) (1));
RDebugUtils.currentLine=1376261;
 //BA.debugLineNum = 1376261;BA.debugLine="Start_Monat_Date = DateTime.Date(Start_Monat_Tic";
mostCurrent._start_monat_date = anywheresoftware.b4a.keywords.Common.DateTime.Date(_start_monat_ticks);
RDebugUtils.currentLine=1376264;
 //BA.debugLineNum = 1376264;BA.debugLine="Ende_Monat_Ticks = DateTime.Add(DateTime.DatePar";
_ende_monat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (1),(int) (-1));
RDebugUtils.currentLine=1376265;
 //BA.debugLineNum = 1376265;BA.debugLine="Ende_Monat_Date = DateTime.Date(Ende_Monat_Ticks";
mostCurrent._ende_monat_date = anywheresoftware.b4a.keywords.Common.DateTime.Date(_ende_monat_ticks);
RDebugUtils.currentLine=1376268;
 //BA.debugLineNum = 1376268;BA.debugLine="Ende_Datum_Vormonat_Ticks = DateTime.Add(DateTim";
_ende_datum_vormonat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (0),(int) (-1));
RDebugUtils.currentLine=1376269;
 //BA.debugLineNum = 1376269;BA.debugLine="Ende_Datum_Vormonat = DateTime.Date(Ende_Datum_V";
mostCurrent._ende_datum_vormonat = anywheresoftware.b4a.keywords.Common.DateTime.Date(_ende_datum_vormonat_ticks);
RDebugUtils.currentLine=1376271;
 //BA.debugLineNum = 1376271;BA.debugLine="If Unterstes_Datum <> Start_Monat_Date Then";
if ((mostCurrent._unterstes_datum).equals(mostCurrent._start_monat_date) == false) { 
RDebugUtils.currentLine=1376272;
 //BA.debugLineNum = 1376272;BA.debugLine="Button_links.Visible = True		'Button_Links nimm";
mostCurrent._button_links.setVisible(anywheresoftware.b4a.keywords.Common.True);
 };
RDebugUtils.currentLine=1376274;
 //BA.debugLineNum = 1376274;BA.debugLine="If Oberstes_Datum = Ende_Monat_Date Then";
if ((mostCurrent._oberstes_datum).equals(mostCurrent._ende_monat_date)) { 
RDebugUtils.currentLine=1376275;
 //BA.debugLineNum = 1376275;BA.debugLine="Button_rechts.Visible = False		'Button_Links ni";
mostCurrent._button_rechts.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
RDebugUtils.currentLine=1376278;
 //BA.debugLineNum = 1376278;BA.debugLine="Label_Zeitraum.Text = Start_Monat_Date & \" - \" &";
mostCurrent._label_zeitraum.setText(BA.ObjectToCharSequence(mostCurrent._start_monat_date+" - "+mostCurrent._ende_monat_date));
RDebugUtils.currentLine=1376280;
 //BA.debugLineNum = 1376280;BA.debugLine="Monatsdaten_aus_DB_auslesen";
_monatsdaten_aus_db_auslesen();
 };
RDebugUtils.currentLine=1376282;
 //BA.debugLineNum = 1376282;BA.debugLine="End Sub";
return "";
}
public static String  _iconbuttonaufklappen_summenzeitraum_click() throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "iconbuttonaufklappen_summenzeitraum_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "iconbuttonaufklappen_summenzeitraum_click", null));}
anywheresoftware.b4a.objects.drawable.BitmapDrawable _button_plus_icon = null;
RDebugUtils.currentLine=1310720;
 //BA.debugLineNum = 1310720;BA.debugLine="Sub IconButtonAufklappen_Summenzeitraum_Click()";
RDebugUtils.currentLine=1310721;
 //BA.debugLineNum = 1310721;BA.debugLine="If IconButtonAufklappen_Summenzeitraum_Aktiv = Fa";
if (_iconbuttonaufklappen_summenzeitraum_aktiv==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=1310722;
 //BA.debugLineNum = 1310722;BA.debugLine="IconButtonAufklappen_Summenzeitraum_Aktiv = True";
_iconbuttonaufklappen_summenzeitraum_aktiv = anywheresoftware.b4a.keywords.Common.True;
RDebugUtils.currentLine=1310723;
 //BA.debugLineNum = 1310723;BA.debugLine="ScrollView_Konten.Top = 60dip";
mostCurrent._scrollview_konten.setTop(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (60)));
RDebugUtils.currentLine=1310724;
 //BA.debugLineNum = 1310724;BA.debugLine="ScrollView_Konten.Height = 940dip";
mostCurrent._scrollview_konten.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (940)));
RDebugUtils.currentLine=1310727;
 //BA.debugLineNum = 1310727;BA.debugLine="DateTime.DateFormat = \"dd.MM.yyyy\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("dd.MM.yyyy");
RDebugUtils.currentLine=1310729;
 //BA.debugLineNum = 1310729;BA.debugLine="HeuteZeile_TagMonatJahr = DateTime.Date(DateTime";
mostCurrent._heutezeile_tagmonatjahr = anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow());
RDebugUtils.currentLine=1310730;
 //BA.debugLineNum = 1310730;BA.debugLine="HeuteTag_Monat = HeuteZeile_TagMonatJahr.SubStri";
mostCurrent._heutetag_monat = BA.NumberToString((double)(Double.parseDouble(mostCurrent._heutezeile_tagmonatjahr.substring((int) (0),(int) (2))))-1);
RDebugUtils.currentLine=1310731;
 //BA.debugLineNum = 1310731;BA.debugLine="Start_Monat_Ticks = DateTime.Add(DateTime.DatePa";
_start_monat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow())),(int) (0),(int) (0),(int) (-(double)(Double.parseDouble(mostCurrent._heutetag_monat))));
RDebugUtils.currentLine=1310732;
 //BA.debugLineNum = 1310732;BA.debugLine="Start_Monat_Date = DateTime.Date(Start_Monat_Tic";
mostCurrent._start_monat_date = anywheresoftware.b4a.keywords.Common.DateTime.Date(_start_monat_ticks);
RDebugUtils.currentLine=1310735;
 //BA.debugLineNum = 1310735;BA.debugLine="Ende_Monat_Ticks = DateTime.Add(DateTime.DatePar";
_ende_monat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (1),(int) (-1));
RDebugUtils.currentLine=1310736;
 //BA.debugLineNum = 1310736;BA.debugLine="Ende_Monat_Date = DateTime.Date(Ende_Monat_Ticks";
mostCurrent._ende_monat_date = anywheresoftware.b4a.keywords.Common.DateTime.Date(_ende_monat_ticks);
RDebugUtils.currentLine=1310739;
 //BA.debugLineNum = 1310739;BA.debugLine="Ende_Datum_Vormonat_Ticks = DateTime.Add(DateTim";
_ende_datum_vormonat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (0),(int) (-1));
RDebugUtils.currentLine=1310740;
 //BA.debugLineNum = 1310740;BA.debugLine="Ende_Datum_Vormonat = DateTime.Date(Ende_Datum_V";
mostCurrent._ende_datum_vormonat = anywheresoftware.b4a.keywords.Common.DateTime.Date(_ende_datum_vormonat_ticks);
RDebugUtils.currentLine=1310742;
 //BA.debugLineNum = 1310742;BA.debugLine="Oberstes_Datum = Ende_Monat_Date	'Datum, bis zu";
mostCurrent._oberstes_datum = mostCurrent._ende_monat_date;
RDebugUtils.currentLine=1310743;
 //BA.debugLineNum = 1310743;BA.debugLine="Button_rechts.Visible = False		'Button_Rechts ni";
mostCurrent._button_rechts.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1310746;
 //BA.debugLineNum = 1310746;BA.debugLine="Dim Button_Plus_Icon As BitmapDrawable";
_button_plus_icon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
RDebugUtils.currentLine=1310747;
 //BA.debugLineNum = 1310747;BA.debugLine="Button_Plus_Icon.Initialize(LoadBitmap(File.DirR";
_button_plus_icon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"/Mein Haushaltsbuch/Zuklappen.png").getObject()));
RDebugUtils.currentLine=1310748;
 //BA.debugLineNum = 1310748;BA.debugLine="IconButtonAufklappen_Summenzeitraum.setIcon(True";
mostCurrent._iconbuttonaufklappen_summenzeitraum.setIcon(anywheresoftware.b4a.keywords.Common.True,(android.graphics.drawable.Drawable)(_button_plus_icon.getObject()));
RDebugUtils.currentLine=1310750;
 //BA.debugLineNum = 1310750;BA.debugLine="Monatsdaten_aus_DB_auslesen";
_monatsdaten_aus_db_auslesen();
 }else {
RDebugUtils.currentLine=1310755;
 //BA.debugLineNum = 1310755;BA.debugLine="IconButtonAufklappen_Summenzeitraum_Aktiv = Fals";
_iconbuttonaufklappen_summenzeitraum_aktiv = anywheresoftware.b4a.keywords.Common.False;
RDebugUtils.currentLine=1310756;
 //BA.debugLineNum = 1310756;BA.debugLine="ScrollView_Konten.Top = 10dip";
mostCurrent._scrollview_konten.setTop(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)));
RDebugUtils.currentLine=1310757;
 //BA.debugLineNum = 1310757;BA.debugLine="ScrollView_Konten.Height = 990dip";
mostCurrent._scrollview_konten.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (990)));
RDebugUtils.currentLine=1310760;
 //BA.debugLineNum = 1310760;BA.debugLine="DateTime.DateFormat = \"dd.MM.yyyy\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("dd.MM.yyyy");
RDebugUtils.currentLine=1310762;
 //BA.debugLineNum = 1310762;BA.debugLine="HeuteZeile_TagMonatJahr = DateTime.Date(DateTime";
mostCurrent._heutezeile_tagmonatjahr = anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow());
RDebugUtils.currentLine=1310763;
 //BA.debugLineNum = 1310763;BA.debugLine="HeuteTag_Monat = HeuteZeile_TagMonatJahr.SubStri";
mostCurrent._heutetag_monat = BA.NumberToString((double)(Double.parseDouble(mostCurrent._heutezeile_tagmonatjahr.substring((int) (0),(int) (2))))-1);
RDebugUtils.currentLine=1310764;
 //BA.debugLineNum = 1310764;BA.debugLine="Start_Monat_Ticks = DateTime.Add(DateTime.DatePa";
_start_monat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow())),(int) (0),(int) (0),(int) (-(double)(Double.parseDouble(mostCurrent._heutetag_monat))));
RDebugUtils.currentLine=1310765;
 //BA.debugLineNum = 1310765;BA.debugLine="Start_Monat_Date = DateTime.Date(Start_Monat_Tic";
mostCurrent._start_monat_date = anywheresoftware.b4a.keywords.Common.DateTime.Date(_start_monat_ticks);
RDebugUtils.currentLine=1310768;
 //BA.debugLineNum = 1310768;BA.debugLine="Ende_Monat_Ticks = DateTime.Add(DateTime.DatePar";
_ende_monat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (1),(int) (-1));
RDebugUtils.currentLine=1310769;
 //BA.debugLineNum = 1310769;BA.debugLine="Ende_Monat_Date = DateTime.Date(Ende_Monat_Ticks";
mostCurrent._ende_monat_date = anywheresoftware.b4a.keywords.Common.DateTime.Date(_ende_monat_ticks);
RDebugUtils.currentLine=1310772;
 //BA.debugLineNum = 1310772;BA.debugLine="Ende_Datum_Vormonat_Ticks = DateTime.Add(DateTim";
_ende_datum_vormonat_ticks = anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.DateParse(mostCurrent._start_monat_date),(int) (0),(int) (0),(int) (-1));
RDebugUtils.currentLine=1310773;
 //BA.debugLineNum = 1310773;BA.debugLine="Ende_Datum_Vormonat = DateTime.Date(Ende_Datum_V";
mostCurrent._ende_datum_vormonat = anywheresoftware.b4a.keywords.Common.DateTime.Date(_ende_datum_vormonat_ticks);
RDebugUtils.currentLine=1310776;
 //BA.debugLineNum = 1310776;BA.debugLine="Dim Button_Plus_Icon As BitmapDrawable";
_button_plus_icon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
RDebugUtils.currentLine=1310777;
 //BA.debugLineNum = 1310777;BA.debugLine="Button_Plus_Icon.Initialize(LoadBitmap(File.DirR";
_button_plus_icon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"/Mein Haushaltsbuch/Aufklappen.png").getObject()));
RDebugUtils.currentLine=1310778;
 //BA.debugLineNum = 1310778;BA.debugLine="IconButtonAufklappen_Summenzeitraum.setIcon(True";
mostCurrent._iconbuttonaufklappen_summenzeitraum.setIcon(anywheresoftware.b4a.keywords.Common.True,(android.graphics.drawable.Drawable)(_button_plus_icon.getObject()));
RDebugUtils.currentLine=1310780;
 //BA.debugLineNum = 1310780;BA.debugLine="Monatsdaten_aus_DB_auslesen";
_monatsdaten_aus_db_auslesen();
 };
RDebugUtils.currentLine=1310784;
 //BA.debugLineNum = 1310784;BA.debugLine="End Sub";
return "";
}
public static String  _transparenter_button_click() throws Exception{
RDebugUtils.currentModule="konten";
if (Debug.shouldDelegate(mostCurrent.activityBA, "transparenter_button_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "transparenter_button_click", null));}
anywheresoftware.b4a.objects.ButtonWrapper _lbl_tag = null;
RDebugUtils.currentLine=1179648;
 //BA.debugLineNum = 1179648;BA.debugLine="Sub Transparenter_Button_Click";
RDebugUtils.currentLine=1179650;
 //BA.debugLineNum = 1179650;BA.debugLine="Dim lbl_Tag As Button";
_lbl_tag = new anywheresoftware.b4a.objects.ButtonWrapper();
RDebugUtils.currentLine=1179651;
 //BA.debugLineNum = 1179651;BA.debugLine="lbl_Tag = Sender";
_lbl_tag.setObject((android.widget.Button)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
RDebugUtils.currentLine=1179655;
 //BA.debugLineNum = 1179655;BA.debugLine="End Sub";
return "";
}
}